package com.flyer.foster.controller.app;

import com.flyer.foster.entity.WorldMap;
import com.flyer.foster.service.IWorldMapService;
import com.flyer.util.GeoCastUtil;
import com.flyer.util.R;
import org.locationtech.jts.geom.Coordinate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 世界地图（小程序）
 *
 * @author flyer
 * @since 2024-05-18
 */
@RestController
@RequestMapping("/app/world-map")
public class AppWorldMapController {
    @Autowired
    private IWorldMapService iWorldMapService;

    /**
     * 获取世界地图列表
     * @return
     */
    @GetMapping("/list")
    public R getList() {
        List<WorldMap> worldMaps = iWorldMapService.list();
        for(WorldMap worldMap:worldMaps){
            Coordinate coordinate = GeoCastUtil.pixelToLatLng(0,worldMap.getHeight(), worldMap.getWidth(),worldMap.getHeight());
            Coordinate coordinate2 = GeoCastUtil.pixelToLatLng(worldMap.getWidth(),0,worldMap.getWidth(),worldMap.getHeight());
            worldMap.setExtent(new Double[]{coordinate.x,coordinate2.x,coordinate.y,coordinate2.y});
        }
        return R.ok().result(worldMaps);
    }
}
