package com.flyer.foster.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 果园
 * </p>
 *
 * @author shuhao
 * @since 2025-03-14
 */
@Getter
@Setter
@TableName("tb_farm_foster_code")
public class TbFarmFosterCode implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 农场id
     */
    private Integer farmId;

    /**
     * 认养码
     */
    private String fosterCode;

    /**
     * 认养类型(0指定单颗树 1指定区域选择)
     */
    private Integer fosterType;

    /**
     * 认养的数据（区域id 或者树id）
     */
    private String fosterData;

    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 乐观锁
     */
    private Integer version;

    /**
     * 是否删除
     */
    private Integer isDeleted;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;


}
